<template>
    <span id="metaboserv_imprint"></span>
    <div class="container" style="margin-top: 5.5rem">
        <div class="heading">Imprint / Legal Notice</div>
        <div class="subheading">Information in accordance with §5 DDG</div>
        <span>Prof. Dr. rer. nat. Helena U. Zacharias</span><br>
        <span>Hannover Medical School, PLRI - OE 8420</span>
        <span>Carl-Neuberg-Straße 1</span>
        <span>30625 Hanover</span>
        <span>Germany</span>
        <div class="subheading">Contact</div>
        <span>Mail: <a href="mailto:zacharias.helena@mh-hannover.de">zacharias.helena@mh-hannover.de</a></span>
    </div>
    <span id="metaboserv_data_privacy"></span>
    <div class="container">
        <div class="heading">Data privacy</div>
        <div class="subheading">General information</div>
        <span>We take the protection of your personal data very seriously.
            This data privacy statement explains how we collect, process, and use your data when you use our website and web application.
            All data processing activities are carried out in compliance with the General Data Protection Regulation (GDPR) and other applicable laws.
            The legal bases for the data protection are the General Data Protection Regulation (GDPR), Digitale-Dienste-Gesetz (DDG), the Federal Data Protection Act (BDSG), the Lower Saxony Data Protection Act (NdsDSG)
            and the Telemedia Act (TMG). The parties responsible for this website declare that it complies with the applicable laws, in particular when processing personal data.</span>
        <div class="subheading">Data we collect</div>
        <span>When you use our web application, the following types of data may be collected:</span>
        <ul>
            <li>Uploaded data: Data files you upload for storage purposes through the application.</li>
            <li>Processed data: Data you enter or data taken from files you upload for processing, e.g. metabolite concentration or phenotype data provided during the study creation process.</li>
            <li>User data: The data associated with your account, i.e. username, password (encrypted), email address, optionally your affiliation.</li>
        </ul>
        <div style="margin-left:2rem">
            <div class="subsubheading">Uploaded data & Processed data</div>
            <span>Your files will be securely uploaded and then stored on our servers. They are only accessible to authorized personnel. 
                We will not access or use your uploaded data for purposes other than providing the service unless required by law. Please ensure that you do not upload sensitive or unlawful content.
                The same holds true for processed data, which are stored in the according databases (Elasticsearch or MariaDB) on our servers.</span>
            <div class="subsubheading">User data</div>
            <span>User data is stored in our Elasticsearch database. We will only store your password in a salted and hashed manner (no reference to your clear-text password is retained anywhere).
                Your e-mail address is stored for password update/recovery as well as other account-related notifications.
                We will not share any of the stored data with third parties. We will not use your e-mail address for any purposes that are not related directly to MetaboSERV.</span>
        </div>
        <div class="subheading">Cookies</div>
        <span>MetaboSERV uses cookies (small files stored on your device) to save JSON Web Tokens (JWTs) on your device.
            These cookies are set once you log in to the website and removed once you close the window, log out or after a certain time period.
            JWTs are automatically used by your browser to authenticate your account with MetaboSERV and assign you the according permissions.</span>
        <div class="subheading">Purpose & Legal basis for data processing</div>
        <span>We collect and process your data for the following purposes: To provide and operate the web application.
            To enable data uploads and ensure secure storage. To respond to user inquiries and provide customer support.
            To comply with legal obligations, including data retention requirements.</span>
        <span>The legal basis for processing your data depends on the purpose: 
            Consent (Article 6(1)(a) GDPR): For processing activities where you explicitly grant permission.
            Performance of a Contract (Article 6(1)(b) GDPR): For providing the requested services.
            Legal Obligation (Article 6(1)(c) GDPR): To comply with applicable laws and regulations.</span>
        <div class="subheading">Your rights</div>
        <span>You have the following rights regarding your personal data:
            Right to access (Article 15 GDPR).
            Right to rectification (Article 16 GDPR).
            Right to erasure ("right to be forgotten") (Article 17 GDPR).
            Right to restriction of processing (Article 18 GDPR).
            Right to data portability (Article 20 GDPR).
            Right to object to processing (Article 21 GDPR).
            Right to withdraw consent (Article 7(3) GDPR).
            To exercise these rights and in case the MetaboSERV website does not offer the means to do so in a satisfactory way, please contact us directly.
            You also have the right to lodge a complaint with a supervisory authority.</span>
        <div class="subheading">Data security</div>
        <span>We implement technical and organizational measures to ensure the security of your data and protect it against unauthorized access, alteration, disclosure, or destruction.</span>
        <div class="subheading">User accounts</div>
        <span>Once your account is deleted, all data associated with your account are erased. This includes your account data, studies and files you uploaded.
            We reserve the right to terminate your user account and to revoke your access to MetaboSERV at any point in time.
            However, we will only consider doing so if we are alerted to the upload of unrelated, unlawful or illegal material to the MetaboSERV servers.</span>
        <div class="subheading">Changes to this privacy policy</div>
        <span>We may update this privacy policy from time to time. The latest version will always be available on our website. </span>
            

    </div>
    <span id="metaboserv_disclaimer"></span>
    <div class="container">
        <div class="heading">Disclaimer</div>
        <div class="subheading">Liability for content</div>
        <span>The content of our website has been created with the utmost care.
            However, we cannot guarantee the accuracy, completeness, or timeliness of the content.
            As a service provider, we are responsible for our own content on these pages under general laws in accordance with §7.1 DDG.
            However, pursuant to §§ 8 to 10 DDG, we are not obligated to monitor transmitted or stored external information or to investigate circumstances that indicate unlawful activity.
            Obligations to remove or block the use of information under general laws remain unaffected.
            Liability in this regard is only possible from the time we become aware of a specific legal violation.
            Upon notification of such violations, we will promptly remove the offending content.
        </span>
        <div class="subheading">Liability for links</div>
        <span>
            Our website contains links to external third-party websites over whose content we have no control.
            Therefore, we cannot assume any responsibility for this external content.
            The respective provider or operator of the linked pages is always responsible for their content.
            At the time of linking, the linked pages were checked for potential legal violations, and no unlawful content was identified.
            However, continuous monitoring of the linked pages is not reasonable without specific indications of legal violations.
            Upon becoming aware of any legal infringements, we will promptly remove such links.
        </span>
    </div>
    <span id="metaboserv_license"></span>
    <div class="container">
        <div class="heading">License</div>
        <span>MetaboSERV is  published under the <a href="https://opensource.org/license/mit">MIT License</a>.</span>
    </div>

</template>

<script setup lang="ts">

</script>

<style scoped>

.container {
    display: flex;
    justify-items: baseline;
    flex-direction: column;
    min-width: 65%;
    max-width: 90%;
    margin: 2rem auto;
    font-size: var(--fs-small);
}

.heading {
    font-size: 1.2rem;
    font-weight: 600;
    color: var(--color-head);
}

.subheading {
    font-size: var(--fs-default);
    font-weight: 600;
    
}

.subsubheading {
    font-size: 1rem;
    font-weight: 600;
}

a, a:active {
    color: var(--color-primary);
}

a:hover {
    color: var(--color-head);
}

</style>